Name:		fedora-flatpak-data
Version:	0.1
Release:	2%{dist}
Summary:	Metadata files for Flatpaks on Fedora

License:	MIT
Source0:	LICENSE
Source1:	fedora.flatpakrepo
Source2:	firefox.preinstall

BuildArch:	noarch

%description
Metadata files for Flatpaks on Fedora


%package -n fedora-flatpak-repo
Summary: Fedora Flatpak repository file
Requires: flatpak

%description -n fedora-flatpak-repo
Creates a Flatpak repository for Fedora


%package -n fedora-flatpak-preinstall-firefox
Summary: Preinstall the Fedora Firefox Flatpak
Requires: fedora-flatpak-repo
Provides: flatpak-preinstall(app/org.mozilla.firefox//stable)

%description -n fedora-flatpak-preinstall-firefox
Adds a file to /etc/flatpaks/preinstall.d to preinstall the Fedora Firefox Flatpak


%prep
%setup -c -T %{name}
cp %{SOURCE0} .

%build

%install
install -m0644 -D -t %{buildroot}%{_sysconfdir}/flatpak/remotes.d %{SOURCE1}
install -m0644 -D -t %{buildroot}%{_sysconfdir}/flatpak/preinstall.d %{SOURCE2}


%files -n fedora-flatpak-repo
%license LICENSE
%{_sysconfdir}/flatpak/remotes.d/*.flatpakrepo


%files -n fedora-flatpak-preinstall-firefox
%{_sysconfdir}/flatpak/preinstall.d/*.preinstall


%changelog
* Thu Nov 7 2024 Owen W. Taylor <otaylor@fishsoup.net> - 0.1-2
- Fedora has org.mozilla.firefox, not org.mozilla.Firefox

* Wed Oct 30 2024 Owen W. Taylor <otaylor@fishsoup.net> - 0.1-1
- Initial version
